﻿using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos.DataSharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单督办过程
    /// </summary>
    public class SendSuperviseProcessInfoRequest : ProvinceRequest<SendSuperviseProcessInfoInfo>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetRequestUrl() => "send_supervise_process_info";

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string GetHttpMethod() => "Post";
    }

    /// <summary>
    /// 
    /// </summary>
    public class SendSuperviseProcessInfoInfo
    {
        /// <summary>
        /// 督办编号
        /// </summary>
        [JsonPropertyName("SUPERVISE_SERIAL")]
        public string SuperviseSerial { get; set; }

        /// <summary>
        /// 反馈人姓名
        /// </summary>
        [JsonPropertyName("REPLY_NAME")]
        public string ReplyName { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [JsonPropertyName("REPLY_TIME")]
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [JsonPropertyName("REPLY_OPINION")]
        public string ReplyOpinion { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }
    }
}
